Remove Logo From Subaccount
curl --request DELETE \
--url https://api.cnaught.com/v1/subaccounts/{id}/logo \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cnaught.com/v1/subaccounts/{id}/logo"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cnaught.com/v1/subaccounts/{id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5nubL0NS",
"name": "Operations Department",
"default_portfolio_id": "eWvNvC12"
}{
"title": "Authorization has been denied for this request",
"status": 401
}Subaccounts
Remove Logo From Subaccount
Removes the logo for a Subaccount with given id.
DELETE
/
subaccounts
/
{id}
/
logo
Remove Logo From Subaccount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of subaccount to modify logo for
Example:
"5nubL0NS"
Response
Subaccount Details after update
Identifier that can be used to retrieve the subaccount details
Example:
"5nubL0NS"
Timestamp of when the subaccount was created (in UTC)
Name of the subaccount
Maximum string length:
512Optional email associated with the subaccount.
Example:
"jane.doe@example.com"
Optional ID of the default portfolio used to fulfilling orders placed for this subaccount. If not specified, the parent account's default portfolio is the default portfolio for the subaccount.
Example:
"a23bF6"
Optional URL for the logo used for this subaccount, if any. This URL is for the logo as stored on CNaught's hosting.